=== debian/changelog ===
flashrom (1.3.0-2.1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:41 +0200

flashrom (1.3.0-2.1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + d/p/series,d/control: keep libjaylink disabled to avoid MIR, LP: 2007283

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 23 May 2023 09:14:13 +0200

flashrom (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove no longer used debian/flashrom.pc
    (pkg-config file is now generated during the build).
  * libflashrom-dev: Remove the unnecessary Requires.private
    from flashrom.pc. (Closes: #1031448)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 17:13:29 +0200

flashrom (1.3.0-2ubuntu1) lunar; urgency=medium

  * d/p/series,d/control: keep libjaylink disabled to avoid MIR (LP: #2007283)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 14 Feb 2023 16:03:02 +0100

flashrom (1.3.0-2) unstable; urgency=medium

  * d/rules:
    - Drop meson configure options not recognized anymore. (Closes: #1030550)
    - Enable jlink_spi programmer. (Closes: #976639)
  * d/control: add libjaylink-dev to build-depends.
  * New version meson also builds the missing programmers. (Closes: #955387)

 -- Gürkan Myczko <tar@debian.org>  Mon, 06 Feb 2023 11:32:07 +0100

flashrom (1.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.2.
  * Bump debhelper version to 13, drop d/compat.
  * d/clean: add flashrom.8.
  * d/manpages renamed to d/flashrom.manpages.
  * d/not-installed: added.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Feb 2023 11:41:24 +0100
