=== debian/changelog ===
flashrom (1.4.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/series,d/control: keep libjaylink disabled to avoid MIR (LP #2007283)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 17 Oct 2024 21:58:58 +0100

flashrom (1.4.0-3) unstable; urgency=medium

  * Install missing b-d python3-sphinx. (Closes: #1078815)
    Thanks Bastian Germann for the hint.
  * Manually install the manpage.

 -- Alex Myczko <tar@debian.org>  Fri, 16 Aug 2024 16:40:48 +0000

flashrom (1.4.0-2) unstable; urgency=medium

  * Fix manpage source path.

 -- Alex Myczko <tar@debian.org>  Thu, 15 Aug 2024 18:39:50 +0000

flashrom (1.4.0-1) unstable; urgency=medium

  * New upstream version. (Closes: #1059347, #1056003, #962670)

 -- Alex Myczko <tar@debian.org>  Mon, 12 Aug 2024 19:29:42 +0000

flashrom (1.3.0-3) unstable; urgency=medium

  * Ack NMU.
  * Bump standards version to 4.7.0.
  * d/control: update build depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:29:29 +0000
