=== debian/control ===
--- 
+++ 
@@ -3,15 +3,19 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
-Uploaders: Jeremiah C. Foster <jeremiah.foster@puri.sm>, Mario Limonciello <mario.limonciello@dell.com>, Gürkan Myczko <tar@debian.org>
+Uploaders:
+ Jeremiah C. Foster <jeremiah.foster@puri.sm>,
+ Mario Limonciello <mario.limonciello@dell.com>,
+ Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
+ python3-sphinx,
  libpci-dev,
  libusb-1.0-0-dev [!hurd-i386],
  libftdi1-dev [!hurd-i386],
  meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/myczko-guest/flashrom
 Vcs-Git: https://salsa.debian.org/myczko-guest/flashrom.git
 Homepage: http://www.flashrom.org
