=== debian/changelog ===
flashrom (1.6.0-2) unstable; urgency=medium

  * Add patch for FTBFs on big endian

 -- Mario Limonciello <superm1@debian.org>  Mon, 18 Aug 2025 14:58:08 -0500

flashrom (1.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Mario Limonciello <superm1@debian.org>  Wed, 13 Aug 2025 15:24:57 -0500
