=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,10 @@
 
 override_dh_auto_build:
 	dh_auto_build -Smeson
-	make flashrom.8
+#	make flashrom.8
 
 override_dh_auto_install:
 	dh_auto_install -Smeson
+	-mkdir -p $(CURDIR)/debian/flashrom/usr/share/man/man8
+	-cp $(CURDIR)/debian/tmp/usr/share/man/man8/flashrom.8 $(CURDIR)/debian/flashrom/usr/share/man/man8/
 	perl -ni -e '/Requires.private.*/ or print' debian/tmp/usr/lib/*/pkgconfig/flashrom.pc
